Bug 1125225 - Review Request: alot - MUA based on notmuch mail
Summary: Review Request: alot - MUA based on notmuch mail
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 11:07 UTC by Tomas Tomecek
Modified: 2014-08-27 01:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-12 12:00:46 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tomas Tomecek 2014-07-31 11:07:49 UTC
Spec URL: https://ttomecek.fedorapeople.org/alot.spec
SRPM URL: https://ttomecek.fedorapeople.org/alot-0.3.5-1.fc20.src.rpm
Description:
alot makes use of existing solutions where possible: It does not fetch, send or
edit mails; it lets notmuch handle your mailindex and uses a toolkit to render
its display. You are responsible for automatic initial tagging.

Fedora Account System Username: ttomecek

Comment 1 Florian "der-flo" Lehner 2014-08-02 18:32:31 UTC
hi!

Even if the latest version is just some hours old. This package contains not the latest one. Update it please and i will do a review.

Whats about "%define ownerqwe asd" and the %if ... %endif around it?

Replace cp with install -p in the .spec to preserve timestamps.

So far it builds successfully - http://koji.fedoraproject.org/koji/taskinfo?taskID=7234399

The license from ./extra/colour_picker.py is different to the rest of the files - please mention this.

Don't you want to ship it for python3, too?

Cheers,
 Flo

Comment 2 Christopher Meng 2014-08-03 02:15:56 UTC
https://pypi.python.org/pypi/alot/:

"Requires notmuch (>=0.13), argparse (>=2.7), urwid (>=1.1.0), twisted (>=10.2.0), magic, configobj (>=4.6.0), subprocess (>=2.7), gpgme (>=0.2)"

Comment 3 Tomas Tomecek 2014-08-05 10:22:29 UTC
Hey Flo,

thanks for taking the review. I think this should be really easy thing to do.

(In reply to Florian "der-flo" Lehner from comment #1)
> Even if the latest version is just some hours old. This package contains not
> the latest one. Update it please and i will do a review.

I haven't noticed that alot has a new upstream release, thanks for notifying me. Will definitely update it.

> Whats about "%define ownerqwe asd" and the %if ... %endif around it?

Whoops. I was just testing something and forgot to remove it.

> Replace cp with install -p in the .spec to preserve timestamps.

Sure thing.

> The license from ./extra/colour_picker.py is different to the rest of the
> files - please mention this.

Well, stuff from extra/ is not being packaged:

$ rpm -ql -p alot-0.3.6-1.fc20.noarch.rpm | grep extra | wc -l
0

> Don't you want to ship it for python3, too?

It's not compatible with python 3. I guess that I could try doing 2to3 before building it [1] but I would prefer to wait for upstream support of python 3.

E.g.

  File "alot/init.py", line 37
    print alot.__version__

[1] http://fedoraproject.org/wiki/Packaging:Python#Running_2to3_from_the_spec_fil

Comment 4 Tomas Tomecek 2014-08-06 07:51:17 UTC
I have updated the srpm and spec file. Correct links:

Spec URL: https://ttomecek.fedorapeople.org/alot-0.3.6/alot.spec
SRPM URL: https://ttomecek.fedorapeople.org/alot-0.3.6/alot-0.3.6-1.fc20.src.rpm

%changelog
* alot was updated to 0.3.6
* remove bogus stuff from spec file
* replace cp with install
* update dependencies

Comment 6 Florian "der-flo" Lehner 2014-08-06 16:55:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

   ---> Please add COPYING, NEWS and README.md to %doc

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "Unknown or
     generated". 58 files have unknown license. Detailed output of
     licensecheck in /home/flo/review/1125225-alot/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python2.7/site-packages/alot
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/alot
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7249580
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define owner pazz, %define commit
     9abcc757db854cfe3024dc81d89dac66b960eade

     As Christopher Meng mentioned, please use %global instead of %define
     For information about that, take a look at:
     https://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: alot-0.3.6-1.fc22.noarch.rpm
          alot-0.3.6-1.fc22.src.rpm
alot.noarch: W: spelling-error Summary(en_US) notmuch -> not much, not-much, notch
alot.noarch: W: spelling-error %description -l en_US notmuch -> not much, not-much, notch
alot.noarch: W: spelling-error %description -l en_US mailindex -> mail index, mail-index, mailing
alot.noarch: W: spurious-executable-perm /usr/share/man/man1/alot.1.gz
alot.src: W: spelling-error Summary(en_US) notmuch -> not much, not-much, notch
alot.src: W: spelling-error %description -l en_US notmuch -> not much, not-much, notch
alot.src: W: spelling-error %description -l en_US mailindex -> mail index, mail-index, mailing
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint alot
alot.noarch: W: spelling-error Summary(en_US) notmuch -> not much, not-much, notch
alot.noarch: W: spelling-error %description -l en_US notmuch -> not much, not-much, notch
alot.noarch: W: spelling-error %description -l en_US mailindex -> mail index, mail-index, mailing
alot.noarch: W: spurious-executable-perm /usr/share/man/man1/alot.1.gz
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
alot (rpmlib, GLIBC filtered):
    /usr/bin/python2
    gpgme
    python(abi)
    python-configobj
    python-magic
    python-notmuch
    python-twisted
    python-urwid



Provides
--------
alot:
    alot



Source checksums
----------------
https://github.com/pazz/alot/archive/9abcc757db854cfe3024dc81d89dac66b960eade/alot-9abcc757db854cfe3024dc81d89dac66b960eade.tar.gz :
  CHECKSUM(SHA256) this package     : c3dd7cdf5970a81af4e7baa7f75eba1b7512c4f0eb59b6929b035b1e84710310
  CHECKSUM(SHA256) upstream package : c3dd7cdf5970a81af4e7baa7f75eba1b7512c4f0eb59b6929b035b1e84710310


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1125225
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====

NOT approved.  Please fix those issues and I' ll take another review.

Comment 7 Tomas Tomecek 2014-08-07 08:48:28 UTC
Spec URL: https://ttomecek.fedorapeople.org/alot-0.3.6-2/alot.spec
SRPM URL: https://ttomecek.fedorapeople.org/alot-0.3.6-2/alot-0.3.6-2.fc20.src.rpm

%changelog
* %define -> %global
* update man page permissions
* package NEWS, README and COPYING as docs

Comment 8 Florian "der-flo" Lehner 2014-08-07 14:58:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "Unknown or
     generated". 58 files have unknown license. Detailed output of
     licensecheck in /home/flo/review/1125225-alot/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python2.7/site-packages/alot
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/alot
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7255211
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: alot-0.3.6-2.fc22.noarch.rpm
          alot-0.3.6-2.fc22.src.rpm
alot.noarch: W: spelling-error Summary(en_US) notmuch -> not much, not-much, notch
alot.noarch: W: spelling-error %description -l en_US notmuch -> not much, not-much, notch
alot.noarch: W: spelling-error %description -l en_US mailindex -> mail index, mail-index, mailing
alot.src: W: spelling-error Summary(en_US) notmuch -> not much, not-much, notch
alot.src: W: spelling-error %description -l en_US notmuch -> not much, not-much, notch
alot.src: W: spelling-error %description -l en_US mailindex -> mail index, mail-index, mailing
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint alot
alot.noarch: W: spelling-error Summary(en_US) notmuch -> not much, not-much, notch
alot.noarch: W: spelling-error %description -l en_US notmuch -> not much, not-much, notch
alot.noarch: W: spelling-error %description -l en_US mailindex -> mail index, mail-index, mailing
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
alot (rpmlib, GLIBC filtered):
    /usr/bin/python2
    gpgme
    python(abi)
    python-configobj
    python-magic
    python-notmuch
    python-twisted
    python-urwid



Provides
--------
alot:
    alot



Source checksums
----------------
https://github.com/pazz/alot/archive/9abcc757db854cfe3024dc81d89dac66b960eade/alot-9abcc757db854cfe3024dc81d89dac66b960eade.tar.gz :
  CHECKSUM(SHA256) this package     : c3dd7cdf5970a81af4e7baa7f75eba1b7512c4f0eb59b6929b035b1e84710310
  CHECKSUM(SHA256) upstream package : c3dd7cdf5970a81af4e7baa7f75eba1b7512c4f0eb59b6929b035b1e84710310


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1125225
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


===== Solution =====
      APPROVED

Comment 9 Tomas Tomecek 2014-08-11 06:37:00 UTC
Flo, thank you for doing the review!

Comment 10 Tomas Tomecek 2014-08-11 06:41:17 UTC
New Package SCM Request
=======================
Package Name: alot
Short Description: An experimental terminal MUA based on notmuch mail
Upstream URL: https://github.com/pazz/alot/
Owners: ttomecek
Branches: f20 f21 el6 epel7
InitialCC:

Comment 11 Gwyn Ciesla 2014-08-11 12:34:51 UTC
Git done (by process-git-requests).

Comment 12 Tomas Tomecek 2014-08-12 12:00:46 UTC
Build for f20 passed:

https://koji.fedoraproject.org/koji/buildinfo?buildID=552357

Closing.

Comment 13 Fedora Update System 2014-08-12 12:06:08 UTC
alot-0.3.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/alot-0.3.6-1.fc20

Comment 14 Fedora Update System 2014-08-27 01:37:54 UTC
alot-0.3.6-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.